<?php
 
session_start();
include("DMMYSQLG.php");
include("JQUERY.inc");
?>
<html>
<link rel="stylesheet" href="css/estilo1.css" type="text/css"/>
<script type="text/javascript" language="JavaScript1.2" src="DSSCRIPT.js"></script>
<body>
<?php
 
	include('AL10000_CL.php');
	$varible_clase = new clase();
	$varible_clase->nparte1=$_POST["bot"];
	$varible_clase->cod_var=strtoupper(isset($_POST["cod_var"])?$_POST["cod_var"]:"");
	$varible_clase->np_desc1=strtoupper($_POST["tap2"]);
        $vtp3=(isset($_POST["tap3"]))?$_POST["tap3"]:"";
	$varible_clase->ubicacion=strtoupper($vtp3);
        $vtc=(isset($_POST["codigo"]))?$_POST["codigo"]:"";
	$varible_clase->codigo=$vtc;
        $vt5=(isset($_POST["tap5"]))?$_POST["tap5"]:"";
	$varible_clase->exi_max=$vt5;
        $vt6=(isset($_POST["tap6"]))?$_POST["tap6"]:"";
	$varible_clase->linea=$vt6;
        $vt7=(isset($_POST["tap7"]))?$_POST["tap7"]:"";
	$varible_clase->gpo_basico=$vt7;
        $vt8=(isset($_POST["tap8"]))?$_POST["tap8"]:"";
	$varible_clase->cve_marca=$vt8;
        $vp=(isset($_POST["precio"]))?$_POST["precio"]:"";
	$varible_clase->lim_vta1=$vp;
        $vt11=(isset($_POST["tap11"]))?$_POST["tap11"]:"";
	$varible_clase->lim_vta2=$vt11;
        $vt12=(isset($_POST["tap12"]))?$_POST["tap12"]:"";
	$varible_clase->lim_vta3=$vt12;
        $vt13=(isset($_POST["tap13"]))?$_POST["tap13"]:"";
	$varible_clase->ven_esp1=$vt13;
	$varible_clase->t1=$_POST["select"];
        $vpt12=(isset($_POST["t12"]))?$_POST["t12"]:"";
	$varible_clase->lim_2=$vpt12;
        $vtp13=(isset($_POST["t13"]))?$_POST["t13"]:"";
	$varible_clase->lim_3=$vtp13;
        $vt14=(isset($_POST["tap14"]))?$_POST["tap14"]:"";
	$varible_clase->cve_uni_com=$vt14;
        $vc=(isset($_POST["capacidad"]))?$_POST["capacidad"]:"";
	$varible_clase->capacidad=$vc;
        $vt15=(isset($_POST["tap15"]))?$_POST["tap15"]:"";
	$varible_clase->cve_uni_vta=$vt15;
        $vai=(isset($_POST["afe_inv"]))?$_POST["afe_inv"]:"";
	$varible_clase->afe_inv=$vai;
	
        $vt9=(isset($_POST["tap9"]))?$_POST["tap9"]:"";
	$varible_clase->cve_iva=$vt9;
        $vt18=(isset($_POST["tap18"]))?$_POST["tap18"]:"";
	$varible_clase->tip_mon=$vt18;
        $vein=(isset($_POST["es_inv"]))?$_POST["es_inv"]:"";
	$varible_clase->es_inv=$vein;
	$vft=(isset($_POST["fic_tec"]))?$_POST["fic_tec"]:"";
	$varible_clase->fic_tec=mysqli_real_escape_string($con,trim($vft));
        $vfr=(isset($_POST["fac_rend"]))?$_POST["fac_rend"]:"";
	$varible_clase->fac_rend=$vfr;
        $vfm=(isset($_POST["fact_max"]))?$_POST["fact_max"]:"";
	$varible_clase->fact_max=$vfm;
//	$varible_clase->fact_min=$_POST["fact_min"];
//	$varible_clase->casillero=$_POST["casillero"];
//	$varible_clase->dias_alm=$_POST["dias_alm"];
//	$varible_clase->temperatura=$_POST["temperatura"];
//	$varible_clase->proteinas=$_POST["proteinas"];
//	$varible_clase->lipidos=$_POST["lipidos"];
//	$varible_clase->carboidratos=$_POST["carboidratos"];
//	$varible_clase->kcalorias=$_POST["kcalorias"];
//	$varible_clase->calcio=$_POST["calcio"];
//	$varible_clase->sodio=$_POST["sodio"];
//	$varible_clase->potacio=$_POST["potacio"];
//	$varible_clase->precio=$_POST["precio"];
//	$varible_clase->afe_coman=$_POST["afe_coman"];
//	$varible_clase->cve_iva_ven=$_POST["cve_iva_ven"];
//	$varible_clase->des_cor=$_POST["des_cor"];
//	$varible_clase->id_receta=$_POST["id_receta"];
//	$varible_clase->pos_pun_ven=$_POST["pos_pun_ven"];
        $vs=(isset($_POST['status']))?$_POST['status']:"";
	$varible_clase->status=$vs;
	$res=$varible_clase->modifica($_POST["bot"]);
//respuesta de modificar
	if($res == "ok"){
		if(isset($_POST['ac'])){
			$fotografia = 'foto/falmacen/NO_'. $_POST["bot"].'.JPG';
	
			if (file_exists($fotografia)) {
				chmod($fotografia,0777);
				fileperms ($fotografia);
				unlink($fotografia);
			}
			if(is_uploaded_file($_FILES['fichero']['tmp_name'])){
				if(move_uploaded_file($_FILES['fichero']['tmp_name'], 'foto/falmacen/NO_'. $varible_clase->nparte1. '.JPG')){
				}
			}
		}
		echo '<h2>!!! SE MODIFICO EL REGISTRO !!!</h2>';
		echo '<meta content="1; url=AL10000_PR.php"  HTTP-EQUIV="REFRESH">';
	}else{
		echo '<h2>NO SE HA PODIDO MODIFICAR EL REGISTRO</h2>';
		echo $res;
		echo '<meta content="1; url=AL10000_PR.php" HTTP-EQUIV="REFRESH">';
	}    	
?>
</body>
</html>